data example6_4;
do mgg=1 to 2;
do hps=1 to 2;
do rep=1 to 6;
input cough@@;
output;
end;
end;
end;
cards;
6  9  7  4  4  3
16 11 13 10 19 14
15 22 21 17 21 18
17 22 23 25 22 19
;
proc univariate normal;
class mgg hps;
var cough;
run;
proc glm;
class mgg hps;
model cough=mgg hps mgg*hps;
lsmeans mgg*hps/adjust=bon tdiff slice=mgg slice=hps;
run;
